> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List funder policy evaluations for an end user

> Get all funder policy evaluations for a specific end user



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_heron_id}/funder_policy_evaluations/
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_heron_id}/funder_policy_evaluations/:
    get:
      summary: List funder policy evaluations for an end user
      description: Get all funder policy evaluations for a specific end user
      parameters:
        - description: The Heron ID of the end user
          in: path
          name: end_user_heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/FunderPolicyEvaluation'
                type: array
          description: List of funder policy evaluations
        '404':
          description: End user not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FunderPolicyEvaluation:
      additionalProperties: false
      properties:
        created:
          format: date-time
          readOnly: true
          type: string
        end_user_heron_id:
          readOnly: true
          type: string
        funder:
          allOf:
            - $ref: '#/components/schemas/FunderSearchResultSchema'
          readOnly: true
        input_data:
          additionalProperties: {}
          nullable: true
          readOnly: true
          type: object
        last_updated:
          format: date-time
          readOnly: true
          type: string
        linked_funder_submission:
          allOf:
            - $ref: '#/components/schemas/LinkedFunderSubmission'
          nullable: true
          readOnly: true
        matching_priority:
          nullable: true
          readOnly: true
          type: integer
        recommendation:
          allOf:
            - $ref: '#/components/schemas/Recommendation'
          nullable: true
          readOnly: true
        recommendation_rank:
          nullable: true
          readOnly: true
          type: integer
        result:
          additionalProperties: {}
          nullable: true
          readOnly: true
          type: object
        status:
          enum:
            - not_evaluated
            - evaluating
            - matched
            - mismatched
            - missing_data
            - error
          readOnly: true
        submission_configured:
          readOnly: true
          type: boolean
      type: object
    FunderSearchResultSchema:
      additionalProperties: false
      properties:
        heron_id:
          readOnly: true
          type: string
        logo_url:
          nullable: true
          readOnly: true
          type: string
        name:
          readOnly: true
          type: string
      type: object
    LinkedFunderSubmission:
      additionalProperties: false
      properties:
        heron_id:
          readOnly: true
          type: string
        status:
          enum:
            - pending
            - in_progress
            - submitted_to_funder
            - invalid_data_for_funder
            - submission_failed
            - approved
            - declined
            - null
          nullable: true
          readOnly: true
        submitted_at:
          format: date-time
          nullable: true
          readOnly: true
          type: string
      type: object
    Recommendation:
      additionalProperties: false
      properties:
        blockers:
          items:
            $ref: '#/components/schemas/RecommendationBlocker'
          readOnly: true
          type: array
        deal:
          allOf:
            - $ref: '#/components/schemas/DealRead'
          nullable: true
          readOnly: true
        odds:
          nullable: true
          readOnly: true
          type: number
        overridden_checks:
          items:
            type: string
          readOnly: true
          type: array
        rank:
          nullable: true
          readOnly: true
          type: integer
        reason:
          nullable: true
          readOnly: true
          type: string
        signals:
          items:
            $ref: '#/components/schemas/RecommendationSignal'
          readOnly: true
          type: array
        source:
          readOnly: true
          type: string
      type: object
    RecommendationBlocker:
      additionalProperties: false
      properties:
        code:
          readOnly: true
          type: string
        text:
          readOnly: true
          type: string
      type: object
    DealRead:
      additionalProperties: false
      properties:
        signals:
          items:
            $ref: '#/components/schemas/RecommendationSignal'
          readOnly: true
          type: array
        strength:
          readOnly: true
          type: string
      type: object
    RecommendationSignal:
      additionalProperties: false
      properties:
        comparison:
          nullable: true
          readOnly: true
          type: string
        display:
          readOnly: true
          type: string
        effect:
          readOnly: true
          type: string
        feature:
          readOnly: true
          type: string
        funder_specific:
          readOnly: true
          type: boolean
        label:
          readOnly: true
          type: string
        value:
          nullable: true
          readOnly: true
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.